org.eclipse.emf.cdo.compare

## Class CDOCompare.CDOMatcher

- java.lang.Object
- - org.eclipse.emf.compare.match.eobject.IdentifierEObjectMatcher
  - - org.eclipse.emf.cdo.compare.CDOCompare.CDOMatcher

- All Implemented Interfaces:
    org.eclipse.emf.compare.match.eobject.IEObjectMatcher
  Enclosing class:
    CDOCompare

      public static class CDOCompare.CDOMatcher
      extends org.eclipse.emf.compare.match.eobject.IdentifierEObjectMatcher

  A `matcher` that treats `resources` as `EObjects`.
  Since:
    4.3
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.compare.match.eobject.IdentifierEObjectMatcher

      `org.eclipse.emf.compare.match.eobject.IdentifierEObjectMatcher.DefaultIDFunction`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOMatcher(com.google.common.base.Function<EObject,java.lang.String> idComputation)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EObject` | `getParentEObject(EObject eObject)`
    `protected java.util.Set<org.eclipse.emf.compare.Match>` | `matchPerId(java.util.Iterator<? extends EObject> leftEObjects, java.util.Iterator<? extends EObject> rightEObjects, java.util.Iterator<? extends EObject> originEObjects, java.util.List<EObject> leftEObjectsNoID, java.util.List<EObject> rightEObjectsNoID, java.util.List<EObject> originEObjectsNoID)`

    - ### Methods inherited from class org.eclipse.emf.compare.match.eobject.IdentifierEObjectMatcher

      `createMatches, doDelegation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOMatcher

          public CDOMatcher(com.google.common.base.Function<EObject,java.lang.String> idComputation)

  - ### Method Detail

    - #### getParentEObject

          protected EObject getParentEObject(EObject eObject)

      Overrides:
        `getParentEObject` in class `org.eclipse.emf.compare.match.eobject.IdentifierEObjectMatcher`

    - #### matchPerId

          protected java.util.Set<org.eclipse.emf.compare.Match> matchPerId(java.util.Iterator<? extends EObject> leftEObjects,
                                                                            java.util.Iterator<? extends EObject> rightEObjects,
                                                                            java.util.Iterator<? extends EObject> originEObjects,
                                                                            java.util.List<EObject> leftEObjectsNoID,
                                                                            java.util.List<EObject> rightEObjectsNoID,
                                                                            java.util.List<EObject> originEObjectsNoID)

      Overrides:
        `matchPerId` in class `org.eclipse.emf.compare.match.eobject.IdentifierEObjectMatcher`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html